/*
 * Joey and its relative products are published under the terms
 * of the Apache Software License.
 */
/*
 * Created on 2004/01/12
 */
package org.asyrinx.brownie.torque.om;

import org.apache.torque.TorqueException;
import org.apache.torque.om.BaseObject;

/**
 * @author akima
 */
public interface IModifyRecorder {

	public static final class ModifyType {
		private ModifyType(int value) {
			super();
			this.value = value;
		}
		final int value;
		public int getValue() {
			return this.value;
		}
	}

	public static final ModifyType CREATE = new ModifyType(1);
	public static final ModifyType UPDATE = new ModifyType(2);
	public static final ModifyType DELETE = new ModifyType(3);

	public void record(BaseObject object, ModifyType type)
		throws TorqueException;

}
